> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1consumers brand surveys



## OpenAPI

````yaml https://reputation-ms.supergasbras.app/swagger/v1/swagger.json put /v1/consumers/{consumerId}/brand-surveys
openapi: 3.0.1
info:
  title: Reputation API
  description: Developed by C-Tech Team
  version: 0.0.1
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}/brand-surveys:
    put:
      tags:
        - ProductBrandSurvey
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandSurveyRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BrandSurveyRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BrandSurveyRequest'
      responses:
        '201':
          description: Created
        '500':
          description: Server Error
components:
  schemas:
    BrandSurveyRequest:
      type: object
      properties:
        brandId:
          type: string
          format: uuid
        orderId:
          type: string
          format: uuid
        plataform:
          type: string
          nullable: true
        lat:
          type: number
          format: double
        lng:
          type: number
          format: double
        deviceId:
          type: string
          format: uuid
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Insira o seu token JWT neste formato: Bearer <accessToken>'
      name: Authorization
      in: header

````